Page MenuHomePhabricator

whonixcheck in Qubes should check if running in right type of VM
Closed, ResolvedPublic

Description

whonixcheck, should check, if:

  • Whonix-Gateway is running in a NetVM or ProxyVM
  • Whonix-Workstation is running in an AppVM
  • TemplateVM: skip this test

Details

Impact
Normal

Event Timeline

Patrick created this task.Sep 19 2015, 5:48 PM
Patrick raised the priority of this task from to Normal.
Patrick updated the task description. (Show Details)
Patrick added projects: whonixcheck, Whonix 13, Qubes.
Patrick set Impact to Normal.
Patrick added subscribers: Patrick, marmarek, nrgaway.

I am not sure, if checking if Whonix-Workstation is running in an AppVM is useful.

Can you think of any situations, where it would make sense to configure Whonix-Workstation as a ProxyVM or NetVM?

- check if Qubes-Whonix-Gateway is running in the right type of VM (ProxyVM)
- report if Whonix-Workstation or TemplateVM is connected to netvm 'none'

https://github.com/Whonix/whonixcheck/commit/9949235e969a55e33f3098996a7440b6aabf0ffd

Can you think of any situations, where it would make sense to configure Whonix-Workstation as a ProxyVM or NetVM?

Is it supported by for example iptables settings? I think it's save to
treat such situation as an error.

marmarek (Marek Marczykowski-Górecki):

Can you think of any situations, where it would make sense to configure Whonix-Workstation as a ProxyVM or NetVM?

Is it supported by for example iptables settings?

Not at all.

I think it's save to
treat such situation as an error.

Agreed.

Patrick changed the task status from Open to Review.Dec 12 2015, 5:23 AM
check if Qubes-Whonix-Workstation is running in the right type of VM

AppVM or TemplateVM

https://github.com/Whonix/whonixcheck/commit/f8292d62efc419acef4cd677363191edeea29014

Patrick closed this task as Resolved.Apr 26 2016, 6:13 PM
Patrick claimed this task.